/**
 * 处理显示
 */
function fnShowDiv(order, class_id)
{
	for (var j=0; j<3; j++) {
		var sDiv = "order"+j;
		var sDivTab = "order_tab"+j;
		var sClassKey;
		switch (j) {
			case 0: sClassKey='one'; break;
			case 1: sClassKey='two'; break;
			case 2: sClassKey='three'; break; 
		}
		if (order==j) {
			JQ("#"+sDiv).css("display", "block");
			JQ("#"+sDivTab).removeClass("ind_r_5_"+sClassKey);
			JQ("#"+sDivTab).addClass("ind_r_5_"+sClassKey+"_a");
		}
		else {
			JQ("#"+sDiv).css("display", "none");
			JQ("#"+sDivTab).removeClass("ind_r_5_"+sClassKey+"_a");
			JQ("#"+sDivTab).addClass("ind_r_5_"+sClassKey);
		}
	}
	for (var i=0; i<=6; i++) {
		var sDiv = "channel_"+order+"_"+i;
		if (class_id==i)
			JQ("#"+sDiv).css("display", "block");
		else
			JQ("#"+sDiv).css("display", "none");
	}
}

/**
 * 每次下载的店铺个数
 */
var iPerPageNumber = 2;

/**
 * 向上滚动
 */
function fnScrollUp(order, class_id)
{
	var begin = new Number(JQ("#var_b_"+order+"_"+class_id).val());
	var end   = new Number(JQ("#var_e_"+order+"_"+class_id).val());
	var total = new Number(JQ("#var_t_"+order+"_"+class_id).val());
	if ((end-begin)==8 && begin>=2){
		//隐藏后面的
		for (var i=end-iPerPageNumber; i<end; i++) {
			JQ("#channel_"+order+"_"+class_id).find("#store_"+i).css("display", "none");
		}
		//显示前面的
		for (var j=begin-iPerPageNumber; j<begin; j++) {
			JQ("#channel_"+order+"_"+class_id).find("#store_"+j).css("display", "block");
		}
		JQ("#var_b_"+order+"_"+class_id).val(begin-iPerPageNumber);
		JQ("#var_e_"+order+"_"+class_id).val(end-iPerPageNumber);
	}
	//window.status = "Up: "+JQ("#var_b_"+order+"_"+class_id).val()+"|"+JQ("#var_e_"+order+"_"+class_id).val()+"|"+total;
}

/**
 * 向下滚动
 */
function fnScrollDown(order, class_id)
{
	var date = new Date();
	var begin = new Number(JQ("#var_b_"+order+"_"+class_id).val());
	var end   = new Number(JQ("#var_e_"+order+"_"+class_id).val());
	var total = new Number(JQ("#var_t_"+order+"_"+class_id).val());
	if ((end-begin)==8) {
		if ((end+2)>total) {
			JQ.post("ajax_show.php", {type:"loadStore", begin: end, order:order, class_id:class_id, d:date.toString()}, function(data){
				//alert("Download two store");
				//alert(data);
				if (data!="") {
					//隐藏前面的
					for (var i=begin; i<(begin+iPerPageNumber); i++) {
						JQ("#channel_"+order+"_"+class_id).find("#store_"+i).css("display", "none");
					}
					var div = JQ("#channel_"+order+"_"+class_id).find("div[@class='inde_r_6']")[0];
					div.innerHTML = div.innerHTML + data;
					JQ("#var_b_"+order+"_"+class_id).val(begin+iPerPageNumber);
					JQ("#var_e_"+order+"_"+class_id).val(end+iPerPageNumber);
					JQ("#var_t_"+order+"_"+class_id).val(total+iPerPageNumber);
				}
			});
		}
		else {
			//隐藏前面的
			for (var i=begin; i<(begin+iPerPageNumber); i++) {
				JQ("#channel_"+order+"_"+class_id).find("#store_"+i).css("display", "none");
			}
			//显示后面的
			for (var i=end; i<(end+iPerPageNumber); i++) {
				JQ("#channel_"+order+"_"+class_id).find("#store_"+i).css("display", "block");
			}
			JQ("#var_b_"+order+"_"+class_id).val(begin+iPerPageNumber);
			JQ("#var_e_"+order+"_"+class_id).val(end+iPerPageNumber);
		}
	}
	//window.status = "Down: "+JQ("#var_b_"+order+"_"+class_id).val()+"|"+JQ("#var_e_"+order+"_"+class_id).val()+"|"+total;
}

function fnSwitchImage()
{
	var img = arguments[1];
	if (img) {
		var old = JQ("#"+arguments[0]).attr('src');
		JQ("#"+arguments[0]).attr('src', img);
		JQ("#"+arguments[0]).attr('old', old);
	}
	else {
		var old = JQ("#"+arguments[0]).attr('old');
		JQ("#"+arguments[0]).attr('src', old);
	}
}

//推荐切换判断
function setStyle(parentid,type,ii)
{
	var o = document.getElementById(parentid);
	for(var i=0;i<o.childNodes.length;i++)
	{
		if(o.childNodes[i].nodeName.toLowerCase() == "ul" || o.childNodes[i].nodeName.toLowerCase() == "li")
		{
			o.childNodes[i].className = "";
		}
	}
	if( type == '1')
	{
		//document.getElementById('pos0').className = 'r'+ii;
		document.getElementById('six'+ii).className = 'ind_r_5q';
	}
	else
	{
		//document.getElementById('pos1').className = 'L'+ii;
		document.getElementById('lsix'+ii).className = 'ind_1_9q';
	}
}

//搜索判断
function fnSearchStore()
{
	if (JQ("#content").val() == '请输入搜索关键字') {
		JQ("#content").val("");
	}
	return true;
}

//专题区分类标题的显示信息
function che(objName)
{
	JQ('#'+objName).css({height: 30, width: 268});
}
function dis(objName)
{
	JQ('#'+objName).css({height: 0, width: 0});
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function fnSpaceLogin()
{
	var ret = true;
	if (JQ("#Name").val()=="") {
		JQ("#NameMessage").html("<font color='red'>*16字符内</font>");
		ret = false;
	}
	if (JQ("#Password").val()=="") {
		JQ("#PassMessage").html("<font color='red'>*6-12字符</font>");
		ret = false;
	}

	var bAutoLogin = 0;
	if (JQ("#AutoLogin").attr("checked") == true) {
		bAutoLogin = 1;
	}

	if (ret==true) {
		JQ.post( "/ajax_show.php", {type:"spaceLogined", name:JQ("#Name").val(), pass:JQ("#Password").val(), auto:bAutoLogin}, function(data){ if (data=="") location.reload(); else {JQ("#LoginMessage").html("<font color='red'>"+data+",请重新输入!</font>");JQ("#LoginMessage").css({display:"block"})} }, "html");
	}
	return false;
}

function fnQuickSpaceLogin()
{
	var ret = true;
	var sName = "#QuickName";
	var sPass = "#QuickPassword";
	if (JQ(sName).val()=="" || JQ(sName).val()=='用户名') {
		alert('请输入用户名！');
		JQ(sName).each(function(){this.value='';this.focus();this.select();});
		return false;
	}
	if (JQ(sPass).val()=="") {
		alert("请输入密码！");
		JQ(sPass).each(function(){this.focus();this.select();});
		return false;
	}

	if (ret==true) {
		JQ.post(
			"/ajax_show.php",
			{type:"spaceLogined", name:JQ(sName).val(), pass:JQ(sPass).val(), auto:"0"},
			function(data){
				if (data=="")
					location.reload();
				else {
					alert(data+",请重新输入!");
					JQ(sName).each(function(){this.focus();this.select();});
				}
			},
			"html"
		);
	}
	return false;
}


function fnStoreLogin()
{
	var ret = true;
	if (JQ("#StoreName").val()=="") {
		JQ("#StoreNameMessage").html("<font color='red'>*16字符内</font>");
		ret = false;
	}
	if (JQ("#StorePassword").val()=="") {
		JQ("#StorePassMessage").html("<font color='red'>*6-12字符</font>");
		ret = false;
	}

	bAutoLogin = false;
	if (ret==true) {
		JQ.post( "/ajax_show.php", {type:"storeLogined", name:JQ("#StoreName").val(), pass:JQ("#StorePassword").val(), auto:bAutoLogin}, function(data){
			if (data=="") {
				location.href="/store/admin.php";
			} else {
				JQ("#StoreLoginMessage").html("<font color='red'>"+data+",请重新输入!</font>");
				JQ("#StoreLoginMessage").css({display:"block"})
			}
		}, "html");
	}
	return false;
}

function fnSpaceLogout()
{
	JQ.get( "/ajax_show.php", {type:"spaceLogout"}, function(){ location.reload();});
}

function fnStoreLogout()
{
	JQ.get( "/ajax_show.php", {type:"storeLogout"}, function(){ location.reload();});
}

function fnQuickNameFocus(El)
{
	if (El.value=='用户名') El.value='';
}

function fnQuickPasswordFocus(El)
{
	if (El.value=='密码') El.value='';
}


function show_SearchDiv(id)
{
	var sid= document.getElementById(id);
	document.getElementById('search_form0').style.display = "none";
	document.getElementById('search_form1').style.display = "none";
	document.getElementById('search_form2').style.display = "none";
	document.getElementById('search_form3').style.display = "none";
	document.getElementById('search_form4').style.display = "none";
	document.getElementById('search_form5').style.display = "none";
	sid.style.display = "block";
	return false;
}

function show_StoreTempDiv(p)
{
	var sid= document.getElementById(p);
	for (var i=0; i<6; i++) {
		JQ("#temp_store"+i).css("display", "none");
	}
	JQ("#pos1").attr("className", "L"+p);
	JQ("#temp_store"+p).css("display", "block");
}

function show_FqlTempDiv(p)
{
	for (var i=0; i<4; i++) {
		JQ("#temp_fql"+i).css("display", "none");
	}
	JQ("#temp_fql"+p).css("display", "block");
	return false;
}

function fnShowGradeDiv(div_num)
{
	for (var i=1; i<13; i++) {
		JQ("#grade_pic"+i).css("display", "none");
	}
	var scrollTop  = (document.documentElement.scrollTop==0) ? document.body.scrollTop : document.documentElement.scrollTop;
	var scrollLeft = (document.documentElement.scrollLeft==0) ? document.body.scrollLeft : document.documentElement.scrollLeft;
	var t = scrollTop + event.clientY;
	var l = scrollLeft + event.clientX;

	JQ("#grade_pic"+div_num).css("left", l+"px");
	JQ("#grade_pic"+div_num).css("top",  t+"px");
	JQ("#grade_pic"+div_num).css("display", "block");
}

function fnHideGradeDiv(div_num)
{
	for (var i=1; i<13; i++) {
		JQ("#grade_pic"+i).css("display", "none");
	}
}


function m100du(val)
{
	var var_str = val.split("@",3);
	JQ("#store_title").html(var_str[0]);
	JQ("#remark").html(var_str[1]);
	JQ("#store_url").attr("href", var_str[2]);
}
function hot(val)
{
	for(var i=1;i<6;i++)
	{
		JQ("#hot"+i).css("display","none");
		JQ("#gr"+i).removeClass("gray3");
		JQ("#gr"+i).addClass("ind_1_21_1");
		JQ("#gr"+i).addClass("gray");
		JQ("#gr"+i).find("img").attr("src", "images/index_tt"+i+"_.gif");
	}
	JQ("#gr"+val).removeClass("ind_1_21_1");
	JQ("#gr"+val).removeClass("gray");
	JQ("#gr"+val).addClass("gray3");
	JQ("#gr"+val).find("img").attr("src", "images/index_tt"+val+".gif");
	JQ("#hot"+val).css("display","inline");
	
}
function left(){
	JQ("#marq").attr("direction","left");
}
function right(){
	JQ("#marq").attr("direction","right");
}
function CheckSearchType(objForm)
{
	var act = 1;
	if(JQ("#act2").attr("checked"))
	{
		act = JQ("#act2").val();
	}
	if($("#act3").attr("checked"))
	{
		act = JQ("#act3").val();
	}

	if(act!=1)
	{
		//location.href="space_article.php?act="+act+"&kword="+encodeURI($("#kword").val());
		objForm.action = "/space_article.php?act="+act+"&kword="+encodeURI(JQ("#kword").val());
	}else{
		objForm.action = "/space_list.php?act="+act+"&kword="+encodeURI(JQ("#kword").val());
	}
	return true;
}
